#include <iostream>

using namespace std;

int f(int a, int b) {
  return a + b;
}

int f(double x, double y) {
  return x * y;
}

int main() {
  cout << f(1, 2) << endl;
  cout << f(1.0, 2.0) << endl;
}
